List all modules in a series
Returns all modules within a Mindtickle series.
Prerequisites
- Authentication and setup: A valid access token.
- List all series: Get the Mindtickle ID of the series.
Endpoint
Section titled “Endpoint”GET /api/v2/series/SERIES_ID/listReplace SERIES_ID with the Mindtickle ID of the series.
Base URL: the standard REST host for your region. See Base URLs.
Headers: Authorization: Bearer ACCESS_TOKEN.
Path parameters
Section titled “Path parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
SERIES_ID |
string | Required | Mindtickle ID of the series. |
Request
Section titled “Request”This endpoint does not have any JSON request parameters.
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
totalHits |
Unconfirmed | Total number of modules in the series. |
hits |
Array[SeriesEntity] | Lists details on each module in the series. |
hits[].moduleType |
string | Type of object. This is the module type name. |
hits[].description |
string | Description, if available, of the module added on the Mindtickle platform. |
hits[].name |
string | Name of the module. |
hits[].thumbnailUrl |
string | URL of the module thumbnail image hosted on the Mindtickle platform. |
hits[].id |
string | Mindtickle ID of the module. |
hits[].url |
string | Just In Time (JIT) URL of the module on the Mindtickle platform. |
Confirm the type of totalHits with Mindtickle Support before implementing a strict response parser. Do not assume that both strings and numbers are accepted representations.
Response example
Section titled “Response example”{ "totalHits": 3, "hits": [ { "moduleType": "COURSE", "description": "<p dir='ltr'>Learn the sales process and the tools your team uses every day.</p>In this short course, we cover your first 30 days.", "name": "Sales Onboarding", "thumbnailUrl": "https://cdn.example.com/thumbnails/sales-onboarding.jpg", "id": "1234567890123456101" }, { "moduleType": "UPDATE", "description": "<p dir='ltr'><strong dir='ltr'>Welcome to Discovery Call Basics! </strong>In this quick update, we show you how to open a discovery call.</p>", "name": "Walkthrough | Discovery Call Basics", "thumbnailUrl": "https://cdn.example.com/thumbnails/discovery-call-basics.jpg", "id": "1234567890123456102" }, { "moduleType": "COURSE", "description": "<p dir='ltr'><strong dir='ltr'>Objection Handling</strong> helps you respond to common buyer concerns with confidence.</p>", "name": "Objection Handling", "thumbnailUrl": "https://cdn.example.com/thumbnails/objection-handling.jpg", "id": "1234567890123456103" } ]}